Discover Government News



# Security update for avahi

Announcement ID: SUSE-SU-2024:1008-1  
Rating: moderate  
References:

  * bsc#1216594
  * bsc#1216598

  
Cross-References:

  * CVE-2023-38469
  * CVE-2023-38471

  
CVSS scores:

  * CVE-2023-38469 ( SUSE ):  6.2 CVSS:3.1/AV:L/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H
  * CVE-2023-38469 ( NVD ):  6.2 CVSS:3.1/AV:L/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H
  * CVE-2023-38471 ( SUSE ):  6.2 CVSS:3.1/AV:L/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H
  * CVE-2023-38471 ( NVD ):  6.2 CVSS:3.1/AV:L/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H

  
Affected Products:

  * SUSE Linux Enterprise High Performance Computing 12 SP5
  * SUSE Linux Enterprise Server 12 SP5
  * SUSE Linux Enterprise Server for SAP Applications 12 SP5
  * SUSE Linux Enterprise Software Development Kit 12 SP5
  * SUSE Linux Enterprise Workstation Extension 12 12-SP5

  
  
An update that solves two vulnerabilities can now be installed.

## Description:

This update for avahi fixes the following issues:

  * CVE-2023-38471: Fixed reachable assertion in dbus_set_host_name
    (bsc#1216594).
  * CVE-2023-38469: Fixed reachable assertions in avahi (bsc#1216598).

## Patch Instructions:

To install this SUSE update use the SUSE recommended installation methods like
YaST online_update or "zypper patch".  
Alternatively you can run the command listed for your product:

  * SUSE Linux Enterprise Software Development Kit 12 SP5  
    zypper in -t patch SUSE-SLE-SDK-12-SP5-2024-1008=1

  * SUSE Linux Enterprise High Performance Computing 12 SP5  
    zypper in -t patch SUSE-SLE-SERVER-12-SP5-2024-1008=1

  * SUSE Linux Enterprise Server 12 SP5  
    zypper in -t patch SUSE-SLE-SERVER-12-SP5-2024-1008=1

  * SUSE Linux Enterprise Server for SAP Applications 12 SP5  
    zypper in -t patch SUSE-SLE-SERVER-12-SP5-2024-1008=1

  * SUSE Linux Enterprise Workstation Extension 12 12-SP5  
    zypper in -t patch SUSE-SLE-WE-12-SP5-2024-1008=1

## Package List:

  * SUSE Linux Enterprise Software Development Kit 12 SP5 (aarch64 ppc64le s390x
    x86_64)
    * avahi-debugsource-0.6.32-32.24.1
    * avahi-compat-mDNSResponder-devel-0.6.32-32.24.1
    * libhowl0-debuginfo-0.6.32-32.24.1
    * typelib-1_0-Avahi-0_6-0.6.32-32.24.1
    * libavahi-gobject-devel-0.6.32-32.24.1
    * libavahi-ui0-0.6.32-32.24.1
    * libhowl0-0.6.32-32.24.1
    * avahi-glib2-debugsource-0.6.32-32.24.1
    * libavahi-ui-gtk3-0-debuginfo-0.6.32-32.24.1
    * libavahi-gobject0-debuginfo-0.6.32-32.24.1
    * libavahi-glib-devel-0.6.32-32.24.1
    * python-avahi-0.6.32-32.24.1
    * avahi-debuginfo-0.6.32-32.24.1
    * libavahi-ui0-debuginfo-0.6.32-32.24.1
    * avahi-compat-howl-devel-0.6.32-32.24.1
    * libavahi-ui-gtk3-0-0.6.32-32.24.1
    * libavahi-gobject0-0.6.32-32.24.1
    * libavahi-devel-0.6.32-32.24.1
  * SUSE Linux Enterprise High Performance Computing 12 SP5 (aarch64 x86_64)
    * avahi-debugsource-0.6.32-32.24.1
    * libavahi-core7-debuginfo-0.6.32-32.24.1
    * libavahi-glib1-debuginfo-0.6.32-32.24.1
    * libavahi-common3-0.6.32-32.24.1
    * avahi-glib2-debugsource-0.6.32-32.24.1
    * avahi-0.6.32-32.24.1
    * libavahi-client3-0.6.32-32.24.1
    * avahi-utils-debuginfo-0.6.32-32.24.1
    * libavahi-glib1-0.6.32-32.24.1
    * avahi-debuginfo-0.6.32-32.24.1
    * libavahi-client3-debuginfo-0.6.32-32.24.1
    * libavahi-core7-0.6.32-32.24.1
    * libavahi-common3-debuginfo-0.6.32-32.24.1
    * libdns_sd-0.6.32-32.24.1
    * libdns_sd-debuginfo-0.6.32-32.24.1
    * avahi-utils-0.6.32-32.24.1
  * SUSE Linux Enterprise High Performance Computing 12 SP5 (noarch)
    * avahi-lang-0.6.32-32.24.1
  * SUSE Linux Enterprise High Performance Computing 12 SP5 (x86_64)
    * libavahi-glib1-debuginfo-32bit-0.6.32-32.24.1
    * libavahi-glib1-32bit-0.6.32-32.24.1
    * libavahi-common3-debuginfo-32bit-0.6.32-32.24.1
    * libdns_sd-32bit-0.6.32-32.24.1
    * libavahi-client3-debuginfo-32bit-0.6.32-32.24.1
    * libavahi-common3-32bit-0.6.32-32.24.1
    * libavahi-client3-32bit-0.6.32-32.24.1
    * libdns_sd-debuginfo-32bit-0.6.32-32.24.1
    * avahi-debuginfo-32bit-0.6.32-32.24.1
  * SUSE Linux Enterprise Server 12 SP5 (aarch64 ppc64le s390x x86_64)
    * avahi-debugsource-0.6.32-32.24.1
    * libavahi-core7-debuginfo-0.6.32-32.24.1
    * libavahi-glib1-debuginfo-0.6.32-32.24.1
    * libavahi-common3-0.6.32-32.24.1
    * avahi-glib2-debugsource-0.6.32-32.24.1
    * avahi-0.6.32-32.24.1
    * libavahi-client3-0.6.32-32.24.1
    * avahi-utils-debuginfo-0.6.32-32.24.1
    * libavahi-glib1-0.6.32-32.24.1
    * avahi-debuginfo-0.6.32-32.24.1
    * libavahi-client3-debuginfo-0.6.32-32.24.1
    * libavahi-core7-0.6.32-32.24.1
    * libavahi-common3-debuginfo-0.6.32-32.24.1
    * libdns_sd-0.6.32-32.24.1
    * libdns_sd-debuginfo-0.6.32-32.24.1
    * avahi-utils-0.6.32-32.24.1
  * SUSE Linux Enterprise Server 12 SP5 (noarch)
    * avahi-lang-0.6.32-32.24.1
  * SUSE Linux Enterprise Server 12 SP5 (s390x x86_64)
    * libavahi-glib1-debuginfo-32bit-0.6.32-32.24.1
    * libavahi-glib1-32bit-0.6.32-32.24.1
    * libavahi-common3-debuginfo-32bit-0.6.32-32.24.1
    * libdns_sd-32bit-0.6.32-32.24.1
    * libavahi-client3-debuginfo-32bit-0.6.32-32.24.1
    * libavahi-common3-32bit-0.6.32-32.24.1
    * libavahi-client3-32bit-0.6.32-32.24.1
    * libdns_sd-debuginfo-32bit-0.6.32-32.24.1
    * avahi-debuginfo-32bit-0.6.32-32.24.1
  * SUSE Linux Enterprise Server for SAP Applications 12 SP5 (ppc64le x86_64)
    * avahi-debugsource-0.6.32-32.24.1
    * libavahi-core7-debuginfo-0.6.32-32.24.1
    * libavahi-glib1-debuginfo-0.6.32-32.24.1
    * libavahi-common3-0.6.32-32.24.1
    * avahi-glib2-debugsource-0.6.32-32.24.1
    * avahi-0.6.32-32.24.1
    * libavahi-client3-0.6.32-32.24.1
    * avahi-utils-debuginfo-0.6.32-32.24.1
    * libavahi-glib1-0.6.32-32.24.1
    * avahi-debuginfo-0.6.32-32.24.1
    * libavahi-client3-debuginfo-0.6.32-32.24.1
    * libavahi-core7-0.6.32-32.24.1
    * libavahi-common3-debuginfo-0.6.32-32.24.1
    * libdns_sd-0.6.32-32.24.1
    * libdns_sd-debuginfo-0.6.32-32.24.1
    * avahi-utils-0.6.32-32.24.1
  * SUSE Linux Enterprise Server for SAP Applications 12 SP5 (noarch)
    * avahi-lang-0.6.32-32.24.1
  * SUSE Linux Enterprise Server for SAP Applications 12 SP5 (x86_64)
    * libavahi-glib1-debuginfo-32bit-0.6.32-32.24.1
    * libavahi-glib1-32bit-0.6.32-32.24.1
    * libavahi-common3-debuginfo-32bit-0.6.32-32.24.1
    * libdns_sd-32bit-0.6.32-32.24.1
    * libavahi-client3-debuginfo-32bit-0.6.32-32.24.1
    * libavahi-common3-32bit-0.6.32-32.24.1
    * libavahi-client3-32bit-0.6.32-32.24.1
    * libdns_sd-debuginfo-32bit-0.6.32-32.24.1
    * avahi-debuginfo-32bit-0.6.32-32.24.1
  * SUSE Linux Enterprise Workstation Extension 12 12-SP5 (x86_64)
    * libavahi-ui0-0.6.32-32.24.1
    * avahi-glib2-debugsource-0.6.32-32.24.1
    * libavahi-ui-gtk3-0-debuginfo-0.6.32-32.24.1
    * libavahi-gobject0-debuginfo-0.6.32-32.24.1
    * libavahi-ui0-debuginfo-0.6.32-32.24.1
    * libavahi-ui-gtk3-0-0.6.32-32.24.1
    * libavahi-gobject0-0.6.32-32.24.1

## References:

  * https://www.suse.com/security/cve/CVE-2023-38469.html
  * https://www.suse.com/security/cve/CVE-2023-38471.html
  * https://bugzilla.suse.com/show_bug.cgi?id=1216594
  * https://bugzilla.suse.com/show_bug.cgi?id=1216598

SUSE: 2024:1008-1 moderate: avahi

March 27, 2024
* bsc#1216594 * bsc#1216598 Cross-References: * CVE-2023-38469

Summary

## This update for avahi fixes the following issues: * CVE-2023-38471: Fixed reachable assertion in dbus_set_host_name (bsc#1216594). * CVE-2023-38469: Fixed reachable assertions in avahi (bsc#1216598). ## Patch Instructions: To install this SUSE update use the SUSE recommended installation methods like YaST online_update or "zypper patch". Alternatively you can run the command listed for your product: * SUSE Linux Enterprise Software Development Kit 12 SP5 zypper in -t patch SUSE-SLE-SDK-12-SP5-2024-1008=1 * SUSE Linux Enterprise High Performance Computing 12 SP5 zypper in -t patch SUSE-SLE-SERVER-12-SP5-2024-1008=1 * SUSE Linux Enterprise Server 12 SP5 zypper in -t patch SUSE-SLE-SERVER-12-SP5-2024-1008=1 * SUSE Linux Enterprise Server for SAP Applications 12 SP5 zypper in -t patch SUSE-SLE-SERVER-12-SP5-2024-1008=1 * SUSE Linux Enterprise Workstation Extension 12 12-SP5 zypper in -t patch SUSE-SLE-WE-12-SP5-2024-1008=1 ## Package List: * SUSE Linux Enterprise Software Development Kit 12 SP5 (aarch64 ppc64le s390x x86_64) * avahi-debugsource-0.6.32-32.24.1 * avahi-compat-mDNSResponder-devel-0.6.32-32.24.1 * libhowl0-debuginfo-0.6.32-32.24.1 * typelib-1_0-Avahi-0_6-0.6.32-32.24.1 * libavahi-gobject-devel-0.6.32-32.24.1 * libavahi-ui0-0.6.32-32.24.1 * libhowl0-0.6.32-32.24.1 * avahi-glib2-debugsource-0.6.32-32.24.1 * libavahi-ui-gtk3-0-debuginfo-0.6.32-32.24.1 * libavahi-gobject0-debuginfo-0.6.32-32.24.1 * libavahi-glib-devel-0.6.32-32.24.1 * python-avahi-0.6.32-32.24.1 * avahi-debuginfo-0.6.32-32.24.1 * libavahi-ui0-debuginfo-0.6.32-32.24.1 * avahi-compat-howl-devel-0.6.32-32.24.1 * libavahi-ui-gtk3-0-0.6.32-32.24.1 * libavahi-gobject0-0.6.32-32.24.1 * libavahi-devel-0.6.32-32.24.1 * SUSE Linux Enterprise High Performance Computing 12 SP5 (aarch64 x86_64) * avahi-debugsource-0.6.32-32.24.1 * libavahi-core7-debuginfo-0.6.32-32.24.1 * libavahi-glib1-debuginfo-0.6.32-32.24.1 * libavahi-common3-0.6.32-32.24.1 * avahi-glib2-debugsource-0.6.32-32.24.1 * avahi-0.6.32-32.24.1 * libavahi-client3-0.6.32-32.24.1 * avahi-utils-debuginfo-0.6.32-32.24.1 * libavahi-glib1-0.6.32-32.24.1 * avahi-debuginfo-0.6.32-32.24.1 * libavahi-client3-debuginfo-0.6.32-32.24.1 * libavahi-core7-0.6.32-32.24.1 * libavahi-common3-debuginfo-0.6.32-32.24.1 * libdns_sd-0.6.32-32.24.1 * libdns_sd-debuginfo-0.6.32-32.24.1 * avahi-utils-0.6.32-32.24.1 * SUSE Linux Enterprise High Performance Computing 12 SP5 (noarch) * avahi-lang-0.6.32-32.24.1 * SUSE Linux Enterprise High Performance Computing 12 SP5 (x86_64) * libavahi-glib1-debuginfo-32bit-0.6.32-32.24.1 * libavahi-glib1-32bit-0.6.32-32.24.1 * libavahi-common3-debuginfo-32bit-0.6.32-32.24.1 * libdns_sd-32bit-0.6.32-32.24.1 * libavahi-client3-debuginfo-32bit-0.6.32-32.24.1 * libavahi-common3-32bit-0.6.32-32.24.1 * libavahi-client3-32bit-0.6.32-32.24.1 * libdns_sd-debuginfo-32bit-0.6.32-32.24.1 * avahi-debuginfo-32bit-0.6.32-32.24.1 * SUSE Linux Enterprise Server 12 SP5 (aarch64 ppc64le s390x x86_64) * avahi-debugsource-0.6.32-32.24.1 * libavahi-core7-debuginfo-0.6.32-32.24.1 * libavahi-glib1-debuginfo-0.6.32-32.24.1 * libavahi-common3-0.6.32-32.24.1 * avahi-glib2-debugsource-0.6.32-32.24.1 * avahi-0.6.32-32.24.1 * libavahi-client3-0.6.32-32.24.1 * avahi-utils-debuginfo-0.6.32-32.24.1 * libavahi-glib1-0.6.32-32.24.1 * avahi-debuginfo-0.6.32-32.24.1 * libavahi-client3-debuginfo-0.6.32-32.24.1 * libavahi-core7-0.6.32-32.24.1 * libavahi-common3-debuginfo-0.6.32-32.24.1 * libdns_sd-0.6.32-32.24.1 * libdns_sd-debuginfo-0.6.32-32.24.1 * avahi-utils-0.6.32-32.24.1 * SUSE Linux Enterprise Server 12 SP5 (noarch) * avahi-lang-0.6.32-32.24.1 * SUSE Linux Enterprise Server 12 SP5 (s390x x86_64) * libavahi-glib1-debuginfo-32bit-0.6.32-32.24.1 * libavahi-glib1-32bit-0.6.32-32.24.1 * libavahi-common3-debuginfo-32bit-0.6.32-32.24.1 * libdns_sd-32bit-0.6.32-32.24.1 * libavahi-client3-debuginfo-32bit-0.6.32-32.24.1 * libavahi-common3-32bit-0.6.32-32.24.1 * libavahi-client3-32bit-0.6.32-32.24.1 * libdns_sd-debuginfo-32bit-0.6.32-32.24.1 * avahi-debuginfo-32bit-0.6.32-32.24.1 * SUSE Linux Enterprise Server for SAP Applications 12 SP5 (ppc64le x86_64) * avahi-debugsource-0.6.32-32.24.1 * libavahi-core7-debuginfo-0.6.32-32.24.1 * libavahi-glib1-debuginfo-0.6.32-32.24.1 * libavahi-common3-0.6.32-32.24.1 * avahi-glib2-debugsource-0.6.32-32.24.1 * avahi-0.6.32-32.24.1 * libavahi-client3-0.6.32-32.24.1 * avahi-utils-debuginfo-0.6.32-32.24.1 * libavahi-glib1-0.6.32-32.24.1 * avahi-debuginfo-0.6.32-32.24.1 * libavahi-client3-debuginfo-0.6.32-32.24.1 * libavahi-core7-0.6.32-32.24.1 * libavahi-common3-debuginfo-0.6.32-32.24.1 * libdns_sd-0.6.32-32.24.1 * libdns_sd-debuginfo-0.6.32-32.24.1 * avahi-utils-0.6.32-32.24.1 * SUSE Linux Enterprise Server for SAP Applications 12 SP5 (noarch) * avahi-lang-0.6.32-32.24.1 * SUSE Linux Enterprise Server for SAP Applications 12 SP5 (x86_64) * libavahi-glib1-debuginfo-32bit-0.6.32-32.24.1 * libavahi-glib1-32bit-0.6.32-32.24.1 * libavahi-common3-debuginfo-32bit-0.6.32-32.24.1 * libdns_sd-32bit-0.6.32-32.24.1 * libavahi-client3-debuginfo-32bit-0.6.32-32.24.1 * libavahi-common3-32bit-0.6.32-32.24.1 * libavahi-client3-32bit-0.6.32-32.24.1 * libdns_sd-debuginfo-32bit-0.6.32-32.24.1 * avahi-debuginfo-32bit-0.6.32-32.24.1 * SUSE Linux Enterprise Workstation Extension 12 12-SP5 (x86_64) * libavahi-ui0-0.6.32-32.24.1 * avahi-glib2-debugsource-0.6.32-32.24.1 * libavahi-ui-gtk3-0-debuginfo-0.6.32-32.24.1 * libavahi-gobject0-debuginfo-0.6.32-32.24.1 * libavahi-ui0-debuginfo-0.6.32-32.24.1 * libavahi-ui-gtk3-0-0.6.32-32.24.1 * libavahi-gobject0-0.6.32-32.24.1

References

* bsc#1216594

* bsc#1216598

Cross-

* CVE-2023-38469

* CVE-2023-38471

CVSS scores:

* CVE-2023-38469 ( SUSE ): 6.2 CVSS:3.1/AV:L/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H

* CVE-2023-38469 ( NVD ): 6.2 CVSS:3.1/AV:L/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H

* CVE-2023-38471 ( SUSE ): 6.2 CVSS:3.1/AV:L/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H

* CVE-2023-38471 ( NVD ): 6.2 CVSS:3.1/AV:L/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H

Affected Products:

* SUSE Linux Enterprise High Performance Computing 12 SP5

* SUSE Linux Enterprise Server 12 SP5

* SUSE Linux Enterprise Server for SAP Applications 12 SP5

* SUSE Linux Enterprise Software Development Kit 12 SP5

* SUSE Linux Enterprise Workstation Extension 12 12-SP5

An update that solves two vulnerabilities can now be installed.

##

* https://www.suse.com/security/cve/CVE-2023-38469.html

* https://www.suse.com/security/cve/CVE-2023-38471.html

* https://bugzilla.suse.com/show_bug.cgi?id=1216594

* https://bugzilla.suse.com/show_bug.cgi?id=1216598

Severity
Announcement ID: SUSE-SU-2024:1008-1
Rating: moderate

Related News